Subject: bug#55079: AW: bug#55079: 28.1; kp-decimal not working in vhdl-stutter-mode

From: Cyril Arnould <[email-masked]>
Date: Sat, 23 Apr 2022 12:57:36 +0000

I don’t regularly use git, for some reason I can’t apply the patch?

$ git apply Eli2.patch
error: patch failed: lisp/progmodes/vhdl-mode.el:8785
error: lisp/progmodes/vhdl-mode.el: patch does not apply

$ git apply --reject --whitespace=fix Eli2.patch
Checking patch lisp/progmodes/vhdl-mode.el...
error: while searching for:
(defun vhdl-electric-period (count) "`..' --> ` => '"
  (interactive "p")
  (if (and vhdl-stutter-mode (= count 1) (not (vhdl-in-literal)))
      (cond ((= (preceding-char) vhdl-last-input-event)
             (progn (delete-char -1)
                    (unless (eq (preceding-char) ? ) (insert " "))
                    (insert "=> ")))

error: patch failed: lisp/progmodes/vhdl-mode.el:8785
Applying patch lisp/progmodes/vhdl-mode.el with 1 reject...
Rejected hunk #1.

I’ve tried both the emacs-28.1 branch as well as the master branch, am I missing something?

Anyway, when I edited the code manually it seems to work fine :)